%define oname   hoe

Name:       ruby-%{oname}
Version:    3.25.0
Release:    %mkrel 1
Summary:    A rake/rubygems helper for project Rakefiles
Group:      Development/Ruby
License:    MIT
URL:        https://rubygems.org/gems/hoe
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygem(rake)
BuildRequires: rubygems
BuildArch:  noarch

%description
Hoe is a rake/rubygems helper for project Rakefiles. It helps you
manage and maintain, and release your project and includes a dynamic
plug-in system allowing for easy extensibility. Hoe ships with
plug-ins for all your usual project tasks including rdoc generation,
testing, packaging, and deployment.

See class rdoc for help. Hint: `ri Hoe` or any of the plugins listed
below.

For extra goodness, see: http://seattlerb.rubyforge.org/hoe/Hoe.pdf

%files
%{_bindir}/sow
%{gem_instdir}/
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
%doc History.rdoc Manifest.txt README.rdoc Hoe.pdf
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install


%changelog
* Mon Aug 22 2022 pterjan <pterjan> 3.25.0-1.mga9
+ Revision: 1879283
- Update to 3.25.0

* Mon Aug 15 2022 pterjan <pterjan> 3.24.0-1.mga9
+ Revision: 1877748
- Update to 3.24.0

* Tue May 03 2022 pterjan <pterjan> 3.23.1-1.mga9
+ Revision: 1855650
- Update to 3.23.1

* Fri Mar 25 2022 umeabot <umeabot> 3.22.1-2.mga9
+ Revision: 1826442
- Mageia 9 Mass Rebuild

* Fri Mar 06 2020 pterjan <pterjan> 3.22.1-1.mga8
+ Revision: 1554486
- Update to 3.22.1

* Fri Feb 14 2020 umeabot <umeabot> 3.17.1-2.mga8
+ Revision: 1516192
- Mageia 8 Mass Rebuild

* Sat Sep 29 2018 pterjan <pterjan> 3.17.1-1.mga7
+ Revision: 1311812
- Update to 3.17.1

* Fri Sep 21 2018 umeabot <umeabot> 3.17.0-2.mga7
+ Revision: 1290973
- Mageia 7 Mass Rebuild

* Sun Apr 01 2018 pterjan <pterjan> 3.17.0-1.mga7
+ Revision: 1214244
- Update to 3.17.0

* Tue Aug 15 2017 pterjan <pterjan> 3.16.1-1.mga7
+ Revision: 1141058
- Update to 3.16.1

* Wed Oct 19 2016 pterjan <pterjan> 3.14.2-2.mga6
+ Revision: 1062534
- Use gem_setup

* Sun Jan 03 2016 pterjan <pterjan> 3.14.2-1.mga6
+ Revision: 919180
- Update to 3.14.2

* Wed Oct 15 2014 umeabot <umeabot> 3.12.0-3.mga5
+ Revision: 745028
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.12.0-2.mga5
+ Revision: 688828
- Mageia 5 Mass Rebuild

* Sat Jul 05 2014 pterjan <pterjan> 3.12.0-1.mga5
+ Revision: 643857
- 3.12.0

* Sat Dec 28 2013 pterjan <pterjan> 3.6.2-6.mga4
+ Revision: 561732
- Rebuild to fix provides

* Sat Dec 28 2013 pterjan <pterjan> 3.6.2-5.mga4
+ Revision: 561290
- Fix gem macros

* Sat Oct 19 2013 umeabot <umeabot> 3.6.2-4.mga4
+ Revision: 535465
- Mageia 4 Mass Rebuild

* Fri Sep 20 2013 pterjan <pterjan> 3.6.2-3.mga4
+ Revision: 482098
- Rebuild for Ruby 2

* Mon Sep 09 2013 pterjan <pterjan> 3.6.2-2.mga4
+ Revision: 476557
- Fix file list

* Thu Jun 06 2013 pterjan <pterjan> 3.6.2-1.mga4
+ Revision: 438233
- Update to 3.6.2

* Fri Feb 08 2013 umeabot <umeabot> 3.1.0-3.mga3
+ Revision: 396050
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 3.1.0-2.mga3
+ Revision: 380995
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 01 2012 fwang <fwang> 3.1.0-1.mga3
+ Revision: 311940
- new version 3.1.0

* Tue Aug 14 2012 shlomif <shlomif> 3.0.7-1.mga3
+ Revision: 281300
- New version 3.0.7

* Sat Apr 09 2011 shikamaru <shikamaru> 2.9.4-1.mga1
+ Revision: 82583
- new version 2.9.4 - skip test

* Thu Mar 17 2011 shikamaru <shikamaru> 2.9.1-1.mga1
+ Revision: 73385
- update minitest version in BR
- new version 2.9.1

* Fri Jan 28 2011 shikamaru <shikamaru> 2.8.0-1.mga1
+ Revision: 43006
- New version 2.8.0
- new BR

* Tue Jan 25 2011 shikamaru <shikamaru> 2.6.2-5.mga1
+ Revision: 39592
- rebuild for new rubygems.rb

* Sun Jan 23 2011 shikamaru <shikamaru> 2.6.2-4.mga1
+ Revision: 34681
- readd check section

* Sun Jan 23 2011 shikamaru <shikamaru> 2.6.2-3.mga1
+ Revision: 34676
- fix circular dependency
- imported package ruby-hoe

